sc::Edge Class Reference
Inheritance diagram for sc::Edge:
[legend]
Collaboration diagram for sc::Edge:
[legend]

## Public Member Functions

| Edge (const Ref< Vertex > &p1, const Ref< Vertex > &p2)
| Edge (const Ref< Vertex > &p1, const Ref< Vertex > &p2, const Ref< Vertex > &p3)
| Edge (const Ref< Vertex > &p1, const Ref< Vertex > &p2, const Ref< Vertex > &p3, const Ref< Vertex > &p4)
int | order () const
double | straight_length ()
Ref< Vertex > | vertex (int i) const
Ref< Vertex > | interior_vertex (int i) const
void | add_vertices (std::set< Ref< Vertex > > &)
void | set_order (int order, const Ref< Volume > &vol, double isovalue)
int | interpolate (double location, SCVector3 &point, SCVector3 &norm)
int | interpolate (double location, SCVector3 &point, SCVector3 &norm, const Ref< Volume > &vol, double isovalue)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- edge.h